Subject: Offline Message from Shatha : Contacting again regarding my order 600875139.
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 26 Jun 2020 10:41:02 -0000

From: Shatha  <[email-masked]>
Phone: 
Location: , Bahrain
URL: https://www.mumzworld.com/en/contact-us
Department: 

Contacting again regarding my order 600875139. I’m still waiting for the gift certificate to get the itzy ritzy item put in a new order. I contacted your customer service many time and was informed I’d receive a certificate for the full value by 10 am today + free shipping for the new order but haven’t heard anything yet. This is getting increasingly frustrating 

----
Zopim
https://www.zopim.com